unit FDemo;

interface

uses
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   OverloadIndicator, StdCtrls, ExtCtrls, math;

type
   TForm1 = class(TForm)
      Panel1: TPanel;
      OverloadIndicator1: TOverloadIndicator;
      OverloadIndicator2: TOverloadIndicator;
      OverloadIndicator3: TOverloadIndicator;
      bStart: TButton;
      bStop: TButton;

      procedure FormCreate(Sender: TObject);
      procedure bStartClick(Sender: TObject);
      procedure bStopClick(Sender: TObject);
      procedure OverloadIndicator3DataNeed(Sender: TObject;
         var Position: Integer);
      procedure OverloadIndicator1DataNeed(Sender: TObject;
         var Position: Integer);
   private
      { Private declarations }
   public
      { Public declarations }
   end;

var
   Form1: TForm1;

implementation

{$R *.DFM}
Var LastSin:Extended;


procedure TForm1.FormCreate(Sender: TObject);
begin

   bStop.Enabled := False;
   OverloadIndicator3.Position := 0;
   randomize;
end;


procedure TForm1.bStartClick(Sender: TObject);
begin
   bStop.Enabled := True;
   bStart.Enabled := False;
   OverloadIndicator3.AutoQueryData := True;
   LastSin:=ArcSin((OverloadIndicator3.Position-50) / 50);
end;

procedure TForm1.bStopClick(Sender: TObject);
begin
   bStop.Enabled := False;
   bStart.Enabled := True;
   OverloadIndicator3.AutoQueryData := False;
end;

procedure TForm1.OverloadIndicator3DataNeed(Sender: TObject;
   var Position: Integer);
begin
   LastSin:=LastSin+0.1;
   Position := Round(Sin(LastSin) * 50 + 50);
end;

procedure TForm1.OverloadIndicator1DataNeed(Sender: TObject;
   var Position: Integer);
begin
   Position := Random(99) + 1;
end;

end.

